Rotate a personal webhook signing key
POST
Optional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.
bearerAuthheader
AuthorizationBearer <relk_… | relu_… | OAuth JWT>Machine/operator tokens use the relk_ prefix; self-serve read-only user keys use relu_; Sign in with Releases supplies an OAuth access token. Required scope depends on the endpoint.
id*stringIdempotency-Key?stringOptional idempotency key. Reuse the same key only for an identical request; successful responses are replayable for 24 hours.
Match
^[\x21-\x7e]+$Length
16 <= length <= 255The new secret version and one-time signing key.
application/json- response
secretVersion*integerRange
-9007199254740991 <= value <= 9007199254740991signingKey*stringcurl -X POST 'https://api.releases.sh/v1/me/webhooks/string/rotate-secret'Example Response
{ "secretVersion": -9007199254740991, "signingKey": "string"}